org.bouncycastle.pqc.crypto.xmss

## Class XMSSMTPrivateKeyParameters.Builder

- java.lang.Object
- - org.bouncycastle.pqc.crypto.xmss.XMSSMTPrivateKeyParameters.Builder

- Enclosing class:
    XMSSMTPrivateKeyParameters

      public static class XMSSMTPrivateKeyParameters.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(XMSSMTParameters params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMSSMTPrivateKeyParameters` | `build()`
    `XMSSMTPrivateKeyParameters.Builder` | `withBDSState(BDSStateMap val)`
    `XMSSMTPrivateKeyParameters.Builder` | `withIndex(long val)`
    `XMSSMTPrivateKeyParameters.Builder` | `withMaxIndex(long val)`
    `XMSSMTPrivateKeyParameters.Builder` | `withPrivateKey(byte[] privateKeyVal)`
    `XMSSMTPrivateKeyParameters.Builder` | `withPublicSeed(byte[] val)`
    `XMSSMTPrivateKeyParameters.Builder` | `withRoot(byte[] val)`
    `XMSSMTPrivateKeyParameters.Builder` | `withSecretKeyPRF(byte[] val)`
    `XMSSMTPrivateKeyParameters.Builder` | `withSecretKeySeed(byte[] val)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(XMSSMTParameters params)

  - ### Method Detail

    - #### withIndex

          public XMSSMTPrivateKeyParameters.Builder withIndex(long val)

    - #### withMaxIndex

          public XMSSMTPrivateKeyParameters.Builder withMaxIndex(long val)

    - #### withSecretKeySeed

          public XMSSMTPrivateKeyParameters.Builder withSecretKeySeed(byte[] val)

    - #### withSecretKeyPRF

          public XMSSMTPrivateKeyParameters.Builder withSecretKeyPRF(byte[] val)

    - #### withPublicSeed

          public XMSSMTPrivateKeyParameters.Builder withPublicSeed(byte[] val)

    - #### withRoot

          public XMSSMTPrivateKeyParameters.Builder withRoot(byte[] val)

    - #### withBDSState

          public XMSSMTPrivateKeyParameters.Builder withBDSState(BDSStateMap val)

    - #### withPrivateKey

          public XMSSMTPrivateKeyParameters.Builder withPrivateKey(byte[] privateKeyVal)

    - #### build

          public XMSSMTPrivateKeyParameters build()